<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorporationInfo](./bitburner.corporationinfo.md) &gt; [nextState](./bitburner.corporationinfo.nextstate.md)

## CorporationInfo.nextState property

The next state to be processed.

I.e. when the state is PURCHASE, it means purchasing will occur during the next state transition.

Possible states are START, PURCHASE, PRODUCTION, EXPORT, SALE.

**Signature:**

```typescript
nextState: CorpStateName;
```
